Last Comment Bug 650236 - merge aurora backouts into l10n-central
: merge aurora backouts into l10n-central
Status: RESOLVED FIXED
:
Product: Core Graveyard
Classification: Graveyard
Component: Tracking (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Axel Hecht [:Pike]
: chris hofmann
:
Mentors:
Depends on: 649524 650251 650253 650255 650257 650259 650260 650261 650262 650264
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-15 05:20 PDT by Axel Hecht [:Pike]
Modified: 2016-07-15 12:13 PDT (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed


Attachments

Description Axel Hecht [:Pike] 2011-04-15 05:20:18 PDT
There are some 13(?) repositories for which gandalf did backouts of patches that do strings for central that are not supposed to be in the aurora cycle of April 12.

Leaving those backouts will cause trouble in the central-aurora merge for May 17, as backouts stay in merges.

There are three paths to fix:
- merge cleverly in May 17. High risk, as we can simply forget by then.
- redo the affected repos, not including the post-aurora-drop changesets nor their backouts. Logically the cleanest, but a tug-of-war between all parties, that's just gonna drag on. Also it blocks kicking up the l10n-dashboard until it's done.
- merge the backouts from aurora to l10n-central and back them out there, and merge today. Hacky, but makes hg do the right thing by default in May.

I can do #3, so I'll do it.

Let's gather a list, and then I'll file individual bugs per locale to communicate with the affected l10n teams.
Comment 1 Axel Hecht [:Pike] 2011-04-15 05:21:57 PDT
l10n/mozilla-aurora was set up in bug 649524, make that a dependency for regression linkage.
Comment 2 Zibi Braniecki [:gandalf][:zibi] 2011-04-15 06:19:18 PDT
Here comes the list of locales I identified as potential backouts:
ast	cs	de	es-AR	es-CL	es-ES	fr	it	nl	pl	pt-PT	ru	sv-SE

Notice, that not all of them have been affected because in two or three cases the backouts were not needed. You can identify that by checking the last commits.
Comment 3 Axel Hecht [:Pike] 2011-04-15 06:22:25 PDT
I see pushes by you to

ast cs cs de es-AR es-ES fr pl ru sv-SE

which is a nice little subset, and sums to 10. That sounds about right?
Comment 4 Axel Hecht [:Pike] 2011-04-15 06:34:13 PDT
Actually, 9, leaves es-CL it nl pt-PT to verify.
Comment 5 Axel Hecht [:Pike] 2011-04-15 06:37:11 PDT
Verified the 4, those should be good. Filing bugs for the other nine now.
Comment 6 JP Rosevear [:jpr] 2011-05-24 14:36:48 PDT
Axel, is there anything else remaining to do or have we verified we are ok after the migration today?
Comment 7 David Baron :dbaron: ⌚️UTC-10 2011-05-24 14:37:20 PDT
(In reply to comment #0)
> Leaving those backouts will cause trouble in the central-aurora merge for
> May 17, as backouts stay in merges.

since what we did today wasn't a merge, sounds like we ought to be ok
Comment 8 Axel Hecht [:Pike] 2011-05-24 14:45:32 PDT
The individual repos for es-ES and es-AR are still waiting to get their merges done by the localizers, and they might need to apply what the bugs describe to do so successfully.

So yes, there's remaining work to be done on two of the nine localizations, but not necessarily by us.
Comment 9 Asa Dotzler [:asa] 2011-06-09 14:54:08 PDT
Axel, please resolve is all work here is done. Thanks.
Comment 10 Axel Hecht [:Pike] 2011-06-09 15:01:49 PDT
Thanks for the poke.

Note You need to log in before you can comment on or make changes to this bug.